summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2010-08-30 12:29:52 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2010-08-30 12:29:52 +0200
commit927cd722ce0e21c290a00eaa5670f0d41287a7df (patch)
tree3382089c284d47f0971af775ea3ca75c6d44beab /test
parent1497b87da18106b38f004990ca4bf7ee79862b1d (diff)
parent4cb0cd1648e4a2623cb00a11b2db2649e286706d (diff)
* merged fixes from the debian-sid bzr branch:
* Simplified Chinese (Aron Xu). Closes: #594458 * Bulgarian (Damyan Ivanov). Closes: #594627 * Portuguese (Miguel Figueiredo). Closes: #594668 * Korean (Changwoo Ryu). Closes: #594809 * Portuguese (Américo Monteiro) * cmdline/apt-cache.cc: - remove useless GetInitialize method * cmdline/apt-get.cc: - remove direct calls of ReadMainList and use the wrapper instead to protect us from useless re-reads and two-times notice display - remove death code by removing unused GetInitialize * apt-pkg/depcache.cc: - now that apt-get purge works on 'rc' packages let the MarkDelete pass this purge forward to the non-pseudo package for pseudos * apt-pkg/contrib/fileutl.cc: - apply SilentlyIgnore also on files without an extension * apt-pkg/contrib/configuration.cc: - fix autoremove by using correct config-option name and don't make faulty assumptions in error handling (Closes: #594689) * apt-pkg/versionmatch.cc: - let the pin origin actually work as advertised in the manpage which means "" are optional and pinning a local archive does work - even if it is a non-flat archive (Closes: #594435)
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-autoremove31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/integration/test-autoremove b/test/integration/test-autoremove
new file mode 100755
index 000000000..fb39e979a
--- /dev/null
+++ b/test/integration/test-autoremove
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+
+buildsimplenativepackage "unrelated" "all" "1" "unstable"
+buildsimplenativepackage "po-debconf" "all" "1.0.16" "unstable"
+buildsimplenativepackage "debhelper" "all" "8.0.0" "unstable" "Depends: po-debconf"
+setupaptarchive
+
+aptget install unrelated debhelper -qq 2>&1 > /dev/null
+
+testfileequal "rootdir/var/lib/apt/extended_states" "Package: po-debconf
+Architecture: i386
+Auto-Installed: 1
+"
+aptget remove debhelper -y -qq 2>&1 > /dev/null
+aptget autoremove -y -qq 2>&1 > /dev/null
+
+testfileequal "rootdir/var/lib/apt/extended_states" ""
+
+sed -i rootdir/var/log/apt/history.log -e '/^Commandline: / d' -e '/^Start-Date: / d' -e '/^End-Date: / d'
+testfileequal "rootdir/var/log/apt/history.log" '
+Install: unrelated:i386 (1), debhelper:i386 (8.0.0), po-debconf:i386 (1.0.16, automatic)
+
+Remove: debhelper:i386 (8.0.0)
+
+Remove: po-debconf:i386 (1.0.16)'